net.minecraftforge.fluids

## Class RenderBlockFluid

- java.lang.Object
- - net.minecraftforge.fluids.RenderBlockFluid

- All Implemented Interfaces:
    ISimpleBlockRenderingHandler

      public class RenderBlockFluid
      extends java.lang.Object
      implements ISimpleBlockRenderingHandler

  Default renderer for Forge fluid blocks.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RenderBlockFluid` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderBlockFluid()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFluidHeightAverage(float[] flow)`
    `float` | `getFluidHeightForRender(IBlockAccess world, int x, int y, int z, BlockFluidBase block)`
    `int` | `getRenderId()`
    `void` | `renderInventoryBlock(Block block, int metadata, int modelID, RenderBlocks renderer)`
    `boolean` | `renderWorldBlock(IBlockAccess world, int x, int y, int z, Block block, int modelId, RenderBlocks renderer)`
    `boolean` | `shouldRender3DInInventory(int modelId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static RenderBlockFluid instance

  - ### Constructor Detail

    - #### RenderBlockFluid

          public RenderBlockFluid()

  - ### Method Detail

    - #### getFluidHeightAverage

          public float getFluidHeightAverage(float[] flow)

    - #### getFluidHeightForRender

          public float getFluidHeightForRender(IBlockAccess world,
                                      int x,
                                      int y,
                                      int z,
                                      BlockFluidBase block)

    - #### renderInventoryBlock

          public void renderInventoryBlock(Block block,
                                  int metadata,
                                  int modelID,
                                  RenderBlocks renderer)

      Specified by:
        `renderInventoryBlock` in interface `ISimpleBlockRenderingHandler`

    - #### renderWorldBlock

          public boolean renderWorldBlock(IBlockAccess world,
                                 int x,
                                 int y,
                                 int z,
                                 Block block,
                                 int modelId,
                                 RenderBlocks renderer)

      Specified by:
        `renderWorldBlock` in interface `ISimpleBlockRenderingHandler`

    - #### shouldRender3DInInventory

          public boolean shouldRender3DInInventory(int modelId)

      Specified by:
        `shouldRender3DInInventory` in interface `ISimpleBlockRenderingHandler`

    - #### getRenderId

          public int getRenderId()

      Specified by:
        `getRenderId` in interface `ISimpleBlockRenderingHandler`